import subprocess
from packaging import version


def check_epm_version(required_version="3.64.0"):
    # Выполнение команды epm --short --version
    result = subprocess.run(['epm', '--short', '--version'],
                            capture_output=True, text=True, check=True)
    # Извлечение версии из вывода
    epm_version = result.stdout.strip()

    print(f"epm version: {epm_version}")
    # Сравнение версий
    if version.parse(epm_version) >= version.parse(required_version):
        return True
    else:
        return False
